
Redmine - Defect #2455

RepositoriesSubversionControllerTest test fails

2009-01-07 14:09 - Gerrit Kaiser

Status: Closed Start date: 2009-01-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

I get a test failure in a checkout of Redmine r2235:

> rake test:functionals

[…]

  1) Failure:

test_changes(RepositoriesSubversionControllerTest)

    [./test/functional/repositories_subversion_controller_test.rb:82:in `test_changes'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.2/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.2/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

<nil> expected to not be nil.

314 tests, 1217 assertions, 1 failures, 0 errors

 

My configuration

Rails 2.1.2 gem

> ruby --version

ruby 1.8.6 (2008-03-03 patchlevel 114) [universal-darwin9.0]

 
> svn --version

svn, version 1.4.4 (r25188)

   compiled Nov 25 2007, 08:20:33

Associated revisions

Revision 2249 - 2009-01-07 21:22 - Jean-Philippe Lang

Fixes a test failure with svn < 1.5 (#2455).

History

#1 - 2009-01-07 21:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.0

- Resolution set to Fixed

Fixed in r2249. A feature (svn properties display) is only available with svn >= 1.5.

Tests now take care of this.
